Download it now!
Bug 82858 - FILESAVE: RTF - frames saved with black borders
Summary: FILESAVE: RTF - frames saved with black borders
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.4.0
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-08-20 10:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 11:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (124.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-08-20 10:33 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-20 10:33:59 UTC
Created attachment 104971 [details]
sample file

Steps:
1) Open attached file on page 2, you will notice 2 frames without borders
2) and save it as an RTF close it and reopen it
3) Goto page 2 and the 2 frames now have borders

Tested in 4.3.2 on Linux and 4.4 on Windows. Regression that begin in 4.1.x.
Comment 1 tommy27 2014-08-21 18:29:49 UTC
I confirm bug under Win7x64 using LO 4.3.0.4
Comment 2 Xisco Faulí 2014-09-11 16:29:07 UTC
bibisected:

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
6a9079688b8251402bfcea35b741a418cab30229
ff4b17247dc05a006a5c4c57dced132c87f2396c
We cannot bisect more!

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# good: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect good 8ad82bc1416a07501651e8d96fe268e47d3931d3
# bad: [d084d250b04446535ca1d7c29cf2062e6bd042b3] source-hash-688f72e3a2c3ef923389bbd21f6aea3afe1114db
git bisect bad d084d250b04446535ca1d7c29cf2062e6bd042b3
# bad: [013adf05b6bf8e5d44a4e820d43177d7fb749079] source-hash-a16a4006e40bdb2cb4671846295fe2bf5a856e68
git bisect bad 013adf05b6bf8e5d44a4e820d43177d7fb749079
# bad: [ff4b17247dc05a006a5c4c57dced132c87f2396c] source-hash-d74ba0c4147f33abd9d0c03883cc88f15e160ee5
git bisect bad ff4b17247dc05a006a5c4c57dced132c87f2396c
# good: [54c7e3977148ffe7631292f2f7d6d60cf7c86bbc] source-hash-5ad95cec96f6f08c55bb226a6eaeb1eeb95c1279
git bisect good 54c7e3977148ffe7631292f2f7d6d60cf7c86bbc
# skip: [6a9079688b8251402bfcea35b741a418cab30229] source-hash-bd7b2c7befbd10bebaba3a9b6ea491969ac1dcb0
git bisect skip 6a9079688b8251402bfcea35b741a418cab30229
# good: [005d70d91c2589e3a200a9dfd4050820cbf73376] source-hash-358b60b3b172968a7605b428af01df456d7669b2
git bisect good 005d70d91c2589e3a200a9dfd4050820cbf73376
# only skipped commits left to test
# possible first bad commit: [ff4b17247dc05a006a5c4c57dced132c87f2396c] source-hash-d74ba0c4147f33abd9d0c03883cc88f15e160ee5
# possible first bad commit: [6a9079688b8251402bfcea35b741a418cab30229] source-hash-bd7b2c7befbd10bebaba3a9b6ea491969ac1dcb0
Comment 3 Björn Michaelsen 2014-10-14 00:32:35 UTC
There are 42 writer commits in range  358b60b3b172968a7605b428af01df456d7669b2..d74ba0c4147f33abd9d0c03883cc88f15e160ee5, of those:

commit 9e6a5b94e00f0054b058dbb42c2c0b6c75236c9d
Author: Miklos Vajna <vmiklos@suse.cz>
Date:   Mon Apr 15 11:52:44 2013 +0200

    RtfAttributeOutput::FormatBox: export line{Color,Width} shape properties
    
    Change-Id: Id1fd8b4c7ebcc8ffd3b6914596385eb3eda922c6

looks suspicious. CC'ing Author.
Comment 4 Björn Michaelsen 2014-10-16 14:59:15 UTC Comment hidden (obsolete)
Comment 5 Miklos Vajna 2014-10-25 10:29:02 UTC
This is still an issue on master, in case of VML shapes with text: we import those as a TextFrame, with border color set, but in this case without a border line style. When export that thing to RTF, we need to explicitly say that there is no border line style, as in Word the default is not "none", in case a line color is set.
Comment 7 Marina Latini (CIB) 2015-01-15 14:15:35 UTC
Verified on:

* Version: 4.5.0.0.alpha0+
* Build ID: 84c69550bcb8139669de9cf98b51c35f21fe853d
* TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-13_08:44:23
* Locale: it_IT

on Ubuntu 14.04.1 LTS x86_64 with fresh user profile
Comment 8 Robinson Tryon (qubit) 2015-12-17 11:05:37 UTC Comment hidden (obsolete)